#ifndef CONIFG_HEADER
#define CONIFG_HEADER

#include <string>
#include <SimpleIni.h>
#include "../public_def.h"

/*

[Basic]
oper_node=IODEF/ITEMS

*/

class ConfigIni
{
public:
    ConfigIni() = default;
    ~ConfigIni() = default;

public:
    bool set_work_exe(const std::string& dir);
    OprBase get_config();

private:
    bool parse_ini();
private:
    std::string work_dir_{};
    std::string ini_path_{};
    CSimpleIni  ini_{};
    OprBase     opr_base_{};
};

#endif